     /* -----------header------------ */
     nav {
        display: block;
    }

    #mainnav ul {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: end;
    }

    #mainnav>ul>li {
        display: inline-block;
        padding: 28px 0px;
    }

    #mainnav ul li {
        position: relative;
    }

    .header #mainnav>ul>li>a {
        line-height: 100px;
    }

    /* #mainnav>ul>li.home>a {
        color: #18ba60;
    } */

    #mainnav>ul>li>a {
        position: relative;
        display: block;
        font-family: "Poppins", sans-serif;
        text-transform: uppercase;
        color: var(--default-color);
        text-decoration: none;
        font-size: 14px;
        margin: 0 15px;
        font-weight: 600;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
     #mainnav>ul>li>a:hover{
         color: var(--active-color);
    }
     #mainnav>ul>li>a:hover::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        left: 0;
        top:47px;
        background-color: var(--active-color);
        transform: scale(1, 1);
    }

    #mainnav>ul>li>.active1{
         color: var(--active-color);
    }
      #mainnav>ul>li>.active1::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        left: 0;
        top:47px;
        background-color: var(--active-color);
        transform: scale(1, 1);
    }

    #mainnav ul.submenu {
        display: flex;
        flex-direction: column;
        position: absolute;
        left: 0;
        top: 150%;
        width: 250px;
        text-align: left;
        background-color:#fff;
        z-index: 9999;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
        filter: alpha(opacity=0);
        opacity: 0;
        visibility: hidden;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    #mainnav ul.submenu li:first-child {
        border-top: none;
    }

    #mainnav ul.submenu>li {
        border-top: 1px solid #ece9e9;
    }

    #mainnav ul li ul li {
        margin-left: 0;
    }
    #mainnav ul.submenu>li>a:hover{
         color: var(--active-color);
    }
    #mainnav ul.submenu>li>a {
        display: block;
        color: var(--default-color);
        text-decoration: none;
        padding: 0 0 0 15px;
        line-height: 40px;
        font-size: 14px;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
      /* .header_navbar a:hover, */
  

    #mainnav ul li:hover>ul.submenu {
        top: 100%;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
        filter: alpha(opacity=100);
        opacity: 1;
        visibility: visible;
    }

    .account_btn {
        display: none;
    }

    .account_menu:hover .account_btn {
        display: block;
    }

    @media screen and (max-width: 992px) {
        .mainnav {
            display: none;
        }
    }
    ul li {
        list-style: none;
    }

    a {
        text-decoration: none;
    }
    .bar_container {
        display: inline-block;
        cursor: pointer;
      }

    .bar2 {
        width: 15px;
        height: 2px;
        background-color:var(--default-color);
        margin: 7px 0;
        transition: 0.4s;
        border-radius: 5px;
    }

     .bar1{
        width: 25px;
        height: 2px;
        background-color:var(--default-color);
        margin: 7px 0;
        transition: 0.4s;
        border-radius: 5px;
   }    
     .bar3 {
        width: 25px;
        height: 2px;
        background-color:var(--default-color);
        transition: 0.4s;
        border-radius: 5px;
   }

    .acount_btn {
        width: 230px;
        background-color: #fff;
        display: none;
        position: absolute;
        right: 0;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        transition: 1s;
    }

    .account_menus:hover .acount_btn {
        display: block;
    }

    .account_menus {
        position: relative;
        display: block;       
    }

     .right_menu_color {
        color:var(--default-color);
        cursor: pointer;
        font-size: 16px;
    }

     .menu_color {
        color: #fff;
    }
    .cart_wish a{
        color: var(--default-color);
        font-size: 14px;
    }
    .cart_wish a:hover{
        color: var(--active-color);
    }
    .login_signup{
        color: #fff;
        font-size: 14px;
        padding: 3px 0;
    }
    .login_signup:hover{
        color: var(--active-color);
    }


    .d_header {
        position: -webkit-sticky;
        position: sticky;
        top: 0px !important;
        z-index:999;
        width:100%;
        background: #ffff;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .modal .modal-content {
        border-radius: 0px;
        border-width: 0px;
    }

    .modal .search-dialog {
        width: 100%;
        max-width: none;
        height: 100%;
        margin: 0;
    }
    .count_color{
        color:#fff;
    }
    .mob-menu-color li a{
        color:var(--default-color);
        font-size: 15px;
    }
    .submenu_btn{
         color:var(--default-color);
    }
    .submenu_btn:hover{
         color:var(--active-color);
    }
     .mob-menu-color li a:hover{
         color:var(--active-color);
     }

  /* -----------------------index page css start-------------------------- */
     /* -----------hero banner------------ */
       .carousel-indicators [data-bs-target] {
            height: 10px;            
            width: 20px;            
            background-color: var(--default-color);
            border-radius: 15px;
            border: 0;
        }     
        
   
        /* ------heading--------- */
        .heading_description h2{
        color: var(--default-color);
        }
        .heading_description p{
        color: var(--default-color);
    }
    .title{
            color: var(--default-color);
        }
       
#clothes_slider{
    position: relative;
}

#next-btn{
    position: absolute;
    top: 40%;
    left: 5px;
    z-index: 1;
    /* background-color: yellow; */
    font-weight: 600;
    font-size: 20px;
     box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     border: none;
    color: var(--default-color);
    border-radius: 50%;
    padding: 4px 10px;
}

#prev-btn{
    position: absolute;
        top: 40%;
        right: 5px;
        z-index: 1;
        /* background-color: yellow; */
        font-weight: 600;
        font-size: 20px;
         box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
         border: none;
        color: var(--default-color);
        border-radius: 50%;
        padding: 3px 10px;
    }
    @media (max-width: 991px) {
        #next-btn{
            font-weight: 600;
            font-size: 13px;
            padding: 3px 7px;
        }
        #prev-btn{
            font-weight: 600;
            font-size: 13px;
            padding: 3px 7px;
        }
    }  
    .tokensOfLove-wrapper{
        transition: box-shadow 0.5s ease;
    }
    .tokensOfLove-wrapper:hover{
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    .product_shadow{
        overflow: hidden;
        transition: box-shadow 0.5s ease;
    }
    .product_shadow:hover{
        overflow: hidden;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }


         /* -----------------------index page css end--------------------------- */

         /* -------------------------single page css start---------------------- */

          /* ------------review css------- */
          .image-color-btn{
            padding: 5px;
            height: 40px;
            width: 40px;
            border-radius: 50%;
            text-align: center;
            margin-right: 10px;
            cursor: pointer; 
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
          }
          .product-size{
            padding: 2px 12px;
            margin-right: 6px;
            border: 1px solid gainsboro;
            border-radius: 6px;
            color: var(--default-color);
            font-size: 14px;
          }
        
          @media (max-width: 991px) {
                .product-size{
                    padding: 2px 8px;
                    font-size: 10px;                    
                }
            }
            .activesize{
            color: var(--active-color);
             border: 1px solid var(--active-color);
             cursor: pointer;
          }
          .product-size:hover{
             color: var(--active-color);
             border: 1px solid var(--active-color);
             cursor: pointer;
          }
        .rating {
            padding-bottom: 30px;
        }

        .rating label {
            float: right;
            position: relative;
            width: 40px;
            height: 40px;
            cursor: pointer;
        }

        .rating label:not(:first-of-type) {
            padding-right: 2px;
        }

        .rating label:before {
            content: "\2605";
            font-size: 42px;
            color: #ccc;
            line-height: 1;
        }

        .rating input {
            display: none;
        }

        .rating input:checked~label:before,
        .rating:not(:checked)>label:hover:before,
        .rating:not(:checked)>label:hover~label:before {
            color: var(--default-color);
        }

        .fa-share{
           color: var(--default-color); 
        }
        .single-wishlist{
            cursor:pointer;
            left:2px;
            top:2px;
            font-size:28px;
            z-index:9;
            color:var(--default-color);
        }
         #exzoom {
            width: auto;
        }

        .product_list_ul {
            position: relative;
        }

        .product_list_ul .bvideo-wrap {
            position: absolute;
            top: 0;
            left: 0;
            z-index: 1;
            transform: translate3d(0px, 0px, 0px);
            width: 100%;
            height: 100%;
        }

        .product_list_ul:hover .bvideo-wrap {
            display: block;
        }
/* ----------------accrdian css------------- */
        .accordion-title:before {
            float: right !important;
            font-family: FontAwesome;
            content: "\f068";
            padding-right: 5px;
        }

        .accordion-title.collapsed:before {
            float: right !important;
            content: "\f067";
        }

        .card-header {
            background-color: #fff;
            border-bottom: 1px solid #d6c3c3;
        }

        .card {
            border: none;
        }

        .collapseborder {
            border-bottom: 1px solid #d6c3c3;
        }

        .form-check-input:checked {
            background-color: var(--default-color);
            border-color: var(--default-color);
        }

        .form-check label,
        .form-check-input {
            cursor: pointer;
        }

       .modal .modal-sort-filter {
            position: fixed;
            bottom: 0;
            left: 0%;
            right: 0%;
            transform: translate(-50%, -50%);
        }
    
         /* -----------------------------single page css css end------------------------------ */
         /* ----------------------------Footer page css start------------------------------ */
         .container-1 {
        width: 95%;
        margin: auto;
    }
    .footer_head h5{
    border-bottom: 1px solid;
    color:var(--default-color);
    padding:8px 0;
    }
    .social_media{
            color:var(--default-color);
    }
    .social_media a{
            color:var(--default-color);
    }
    .social_media a:hover{
            color:var(--active-color);
    }

    .line-footer li {
        list-style: none;
    }

    .line-footer li a {
        position: relative;
        text-decoration: none;
       color:var(--default-color);

    }
     .line-footer li a:hover{
         color:var(--active-color);
     }

    .line-footer li a::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 1px;
        left: 0;
        bottom: -5px;
        background-color:var(--active-color);

        transform: scale(0, 1);
        transition: transform 0.7s ease;
    }

    .line-footer li a:hover::after {
        transform: scale(1, 1);
    }


    .line-footer {
        padding-left: 0;
    }
       /* ----------------------------Footer page css end---------------------------- */

       /* -----------------------------Product page css Start---------------------------- */
         .remove-btn {
            font-size: 12px;
            color: var(--default-color);
            text-transform: capitalize;
        }
        .remove-btn:hover{
            background-color: red;
            color: #fff;
        }
        .remove-btn:hover span{
            color: #fff;
        }
        .remove-btn span {
            font-size: 12px;
            padding-left: 4px;
            color: red;
        }
        .product_wrapper{
            border-radius: 10px;
            transition: box-shadow 0.5s ease;
        }
        .product_wrapper:hover{
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        }

       .product_wrapper .product_image{
         border-radius: 10px 10px 0 0;
        }
        .product_price{
          color: var(--default-color);
          font-size: 15px;
        }
        .product_title{
          color: var(--default-color);
            font-size: 15px; 
        }
         .product_title:hover {
            color: var(--active-color);
        }  
        @media (max-width: 991px) {
          .product_title{
            font-size: 13px; 
        }  
        .product_price{
          font-size: 13px;
        }
        .product_price span,del,span{
          font-size: 13px;
        }
        }

        del {
            text-decoration: line-through;
            color: rgb(155, 150, 150);
            font-style: italic; 
        }
        .wishlist {
            font-size: 22px;
            transition: 0.3s;
            cursor: pointer;
            color: var(--default-color);
        }

        .wishlist:hover {
            color: var(--active-color);
        }  
         .scrollmenus::-webkit-scrollbar-thumb {
            background: #E7E5E5;
            border-radius: 5px;
        }

        .scrollmenus::-webkit-scrollbar {
            width: 5px;
        }

        .ft-toolbar {
            position: fixed;
            width: 100%;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 9;
            overflow-y: hidden;
            -webkit-overflow-scrolling: touch;
            padding: 5px;
            background-color: #fff;
            box-shadow: 0 2px 20px 0 rgba(0, 0, 0, 0.2), 0 10px 20px 0 rgba(0, 0, 0, 0.19);
        }
        .filter-view{
            background-color: #fff;
           position: sticky;
           top:77px;
           z-index:1;
           border-bottom: 1px solid rgb(241, 238, 238);
        }

           @media (max-width: 991px) {
        .filter-view{
           top:46px;
        }
         }

        .filter-checkbox h4{
               color: var(--default-color);
        }
        .filter-checkbox h6{
               color: var(--default-color);
               font-size: 17px;
        }
    .filter-checkbox .form-group {
            display: block;
            margin-bottom: 15px;
        }

        .filter-checkbox .form-group input {
            padding: 0;
            height: initial;
            width: initial;
            margin-bottom: 0;
            display: none;
            cursor: pointer;
        }

        .filter-checkbox .form-group label {
            position: relative;
            cursor: pointer;
            color: var(--default-color);
            font-size: 15px;
        }

        .filter-checkbox .form-group label:before {
            content: '';
            -webkit-appearance: none;
            background-color: transparent;
            border: 2px solid var(--default-color);
            box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
            padding: 8px;
            display: inline-block;
            position: relative;
            vertical-align: middle;
            cursor: pointer;
            margin-right: 5px;
        }

        .filter-checkbox .form-group input:checked+label:after {
            content: '';
            display: block;
            position: absolute;
            top: 5px;
            left: 8px;
            width: 5px;
            height: 11px;
            border: solid var(--default-color);
            border-width: 0 2px 2px 0;
            transform: rotate(45deg);
        }
          .filter-checkbox .radio-buttons .form-group input[type="radio"] {
                            display: none;
                        }
                        .filter-checkbox .radio-buttons .form-group label {
                            cursor: pointer;
                            position: relative;
                            font-size: 16px;
                            padding-left: 30px;
                        }

                        .filter-checkbox .radio-buttons .form-group label::before {
                            content: "";
                            position: absolute;
                            width: 25px;
                            height: 25px;
                            background-color: transparent;
                            border: 2px solid var(--default-color);
                            border-radius: 50%;
                            top: 50%;
                            left: 0;
                            transform: translateY(-50%);
                            transition: border-color 400ms ease;
                        }

                        .filter-checkbox .radio-buttons .form-group label::after {
                            content: "";
                            position: absolute;
                            width: 20px;
                            height: 20px;
                            background-color: var(--default-color);
                            border-radius: 50%;
                            top: 50%;
                            left: 2px;
                            transform: translateY(-50%) scale(0);
                            transition: transform 400ms ease;
                        }

                        .filter-checkbox .radio-buttons input[type="radio"]:checked+label::before {
                            border-color: var(--default-color);
                        }

                        .filter-checkbox .radio-buttons input[type="radio"]:checked+label::after {
                            transform: translateY(-50%) scale(1);
                            width: 17px;
                            height: 17px;
                            top: 50%;
                            left: 4px;
                            border: none;
                        }
        /* ----------------accrdian css------------- */
        .accordion-title:before {
            float: right !important;
            font-family: FontAwesome;
            content: "\f068";
            padding-right: 5px;
        }

        .accordion-title.collapsed:before {
            float: right !important;
            content: "\f067";
        }

        .card-header {
            background-color: #fff;
            border-bottom: 1px solid #d6c3c3;
        }

        .card {
            border: none;
        }

        .collapseborder {
            border-bottom: 1px solid #d6c3c3;
        }

        .bottom-model .modal-sort-filter {
            position: fixed;
            bottom: 0;
            left: 0%;
            right: 0%;
            transform: translate(-50%, -50%);
        }
        
        
       /* -----------------Product page css end------------------ */
       /* -----------------wishlist and cart page css start------------------ */
         .cart-items{
            font-size: 14px;
            color: var(--default-color);
        }
          @media (max-width: 991px) {
               .cart-items{
            font-size: 12px;
          }
            }
          .cart_wish_table tr {
            text-align: center;
        }

        .cart_wish_table th {
            padding: 15px 0;
            border-bottom: 1px solid rgb(212, 212, 212);
            color: var(--default-color);
        }

        .cart_wish_table td {
            vertical-align: center;
            border-bottom: 1px solid rgb(253, 236, 236);
            color: var(--default-color);
        }

        .empty_wishlist h2 {
            color: var(--default-color);
        }

        .empty_wishlist p {
            color: var(--default-color);
        }
       /* -----------------wishlist and cart page css end------------------ */

       /* -----------------order page css end------------------ */
       .order-item{
           font-size: 15x;                    
        }
        @media (max-width: 991px) {
            .order-item{
                font-size: 12px;                    
            }
        }
        /* -----------------checkout page css ------------------ */
        .addressInput {
            padding: 10px;
            margin: 15px 0;
            box-sizing: border-box;
            width: 100%;
            border: 1px solid #bcc4d4;
            color: var(--default-color);
        }

        .demo input[type=text] {
            display: inline-block;
            padding: 10px;
            margin: 5px 0;
            width: 49.6%;
            box-sizing: border-box;
            border: 1px solid var(--default-color);
        }

        .demo input[type=password] {
            display: inline-block;
            padding: 10px;
            margin: 5px 0;
            width: 49.6%;
            box-sizing: border-box;
            border: 1px solid var(--default-color);
        }


        .button1 {
            background-color: var(--default-color);
            border: none;
            color: white;
            margin-top: 5px;
            padding: 10px 30px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
        }

        .paycent {
            width: 100%;
            height: auto;
            overflow: hidden;
            text-align: center;
            border: 1px solid #dce0e9;
            padding: 20px;
        }

        .paypalimg {
            width: 80px;
        }

        .paydiv {
            background-color: var(--default-color);
            color: #fff;
            padding: 5px;
            text-align: center;
            width: 100%;
        }

        .table td {
            padding: 3px 5px;
            font-size: 14px;
        }

         /* Style the tab */
        .payment_tab {
            /* float: left; */
            border: 1px solid #ccc;
            background-color: #f1f1f1;
            /* width: 30%; */
            height: 180px;
        }

        /* Style the buttons inside the payment_tab */
        .payment_tab button {
            display: block;
            background-color: inherit;
            color: black;
            padding: 15px 10px;
            /* width: 100%; */
            border: none;
            outline: none;
            text-align: left;
            cursor: pointer;
            transition: 0.3s;
            font-size: 17px;
        }

        /* Change background color of buttons on hover */
        .payment_tab button:hover {
            background-color: #b8d7df;
        }

        /* Create an active/current "payment_tab button" class */
        .payment_tab button.pay_active {
            background-color: #b0bdda;
            border-right: 5px solid var(--default-color);
        }

        /* Style the tab content */
        .tabcontent {
            padding: 10px 12px;
            border: 1px solid #ccc;
            width: 70%;
            border-left: none;
            height: 180px;
        }
        .tabcontent p{
            font-size: 13px;
        }

        @media (max-width: 991px) {
            .tabcontent {
                border: 1px solid #ccc;
            }
            .payment_tab {
            height: 120px;
        }
        }